package com.mortals.xhx.module.business.model;

import java.util.List;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
/**
* 业务事项关联查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class BusinessMatterQuery extends BusinessMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 业务id */
    private Long businessIdStart;

    /** 结束 业务id */
    private Long businessIdEnd;

    /** 增加 业务id */
    private Long businessIdIncrement;

    /** 业务id列表 */
    private List <Long> businessIdList;

    /** 业务名称 */
    private List<String> businessNameList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BusinessMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BusinessMatterQuery> andConditionList;

    public BusinessMatterQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 业务id
    * @return businessIdStart
    */
    public Long getBusinessIdStart(){
        return this.businessIdStart;
    }

    /**
    * 设置 开始 业务id
    * @param businessIdStart
    */
    public void setBusinessIdStart(Long businessIdStart){
        this.businessIdStart = businessIdStart;
    }

    /**
    * 获取 结束 业务id
    * @return $businessIdEnd
    */
    public Long getBusinessIdEnd(){
        return this.businessIdEnd;
    }

    /**
    * 设置 结束 业务id
    * @param businessIdEnd
    */
    public void setBusinessIdEnd(Long businessIdEnd){
        this.businessIdEnd = businessIdEnd;
    }

    /**
    * 获取 增加 业务id
    * @return businessIdIncrement
    */
    public Long getBusinessIdIncrement(){
        return this.businessIdIncrement;
    }

    /**
    * 设置 增加 业务id
    * @param businessIdIncrement
    */
    public void setBusinessIdIncrement(Long businessIdIncrement){
        this.businessIdIncrement = businessIdIncrement;
    }

    /**
    * 获取 业务id
    * @return businessIdList
    */
    public List<Long> getBusinessIdList(){
        return this.businessIdList;
    }

    /**
    * 设置 业务id
    * @param businessIdList
    */
    public void setBusinessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
    }

    /**
    * 获取 业务名称
    * @return businessNameList
    */
    public List<String> getBusinessNameList(){
        return this.businessNameList;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public void setBusinessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
    }
    /**
    * 获取 开始 事项id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public BusinessMatterQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public BusinessMatterQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public BusinessMatterQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public BusinessMatterQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public BusinessMatterQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  业务id
    * @param businessId
    */
    public BusinessMatterQuery businessId(Long businessId){
	    setBusinessId(businessId);
		return this;
    }
	
	 /**
    * 设置 开始 业务id
    * @param businessIdStart
    */
    public BusinessMatterQuery businessIdStart(Long businessIdStart){
		this.businessIdStart = businessIdStart;
		return this;
    }

    /**
    * 设置 结束 业务id
    * @param businessIdEnd
    */
    public BusinessMatterQuery businessIdEnd(Long businessIdEnd){
		this.businessIdEnd = businessIdEnd;
		return this;
    }

    /**
    * 设置 增加 业务id
    * @param businessIdIncrement
    */
    public BusinessMatterQuery businessIdIncrement(Long businessIdIncrement){
		this.businessIdIncrement = businessIdIncrement;
		return this;
    }

    /**
    * 设置 业务id
    * @param businessIdList
    */
    public BusinessMatterQuery businessIdList(List<Long> businessIdList){
        this.businessIdList = businessIdList;
		return this;
        }


	/**
    * 设置 业务名称
    * @param businessName
    */
    public BusinessMatterQuery businessName(String businessName){
        setBusinessName(businessName);
		return this;
    }

    /**
    * 设置 业务名称
    * @param businessNameList
    */
    public BusinessMatterQuery businessNameList(List<String> businessNameList){
        this.businessNameList = businessNameList;
		return this;
    }

    /**
    * 设置  事项id
    * @param matterId
    */
    public BusinessMatterQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matterIdStart
    */
    public BusinessMatterQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matterIdEnd
    */
    public BusinessMatterQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matterIdIncrement
    */
    public BusinessMatterQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matterIdList
    */
    public BusinessMatterQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public BusinessMatterQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public BusinessMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public BusinessMatterQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public BusinessMatterQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public BusinessMatterQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public BusinessMatterQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public BusinessMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<BusinessMatterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<BusinessMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<BusinessMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<BusinessMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}